Bug 75740 - gnome-terminal eventually will not accept keyboard input
gnome-terminal eventually will not accept keyboard input
Status: CLOSED WORKSFORME
Product: Red Hat Linux
Classification: Retired
Component: gnome-terminal (Show other bugs)
8.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Havoc Pennington
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-10-11 14:59 EDT by Victor Martinez
Modified: 2008-05-01 11:38 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-01-08 00:53:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Victor Martinez 2002-10-11 14:59:14 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20020830

Description of problem:
After some time gnome-terminal will not accept keybard input. Mouse input will
work. I can bring the menu up and spawn a new terminal (or a new tab). I can
move the scroll bar. I can even paste  commands into the  terminal. It seems
that terminal will not gain focus for some reason.

Version-Release number of selected component (if applicable):


How reproducible:
Sometimes

Steps to Reproduce:
1.Start sveral gnome-terminals in different workspaces.
2.Use the terminals and other applications.
3.Check your terminals for keyboard input.

Sorry, I am unable to have a better steps to reproduce. I just get about 4-6
terminals unusable during a work day.
	

Additional info:
Comment 1 Brad Smith 2002-10-14 23:28:01 EDT
I will often have serveral terminals open concurrently. I have found several
times when I do "tail -f /var/log/messages" that ^C will not close the "tail"
process. I suspect that this is related or the same bug.
Comment 2 c.requena 2002-10-16 08:17:43 EDT
I think this has to do with vte, the experimental terminal widget the are using
on the gnome-terminal. I compiled the gnome-terminal with zvt, which is the one
originaly used by gnome and I've had no more problems like that, just that the
fonts look discunting. By the way with zvt I cann use the X fonts (all of them!).

One thing zvt doesn't solved is the poor performance. (#time ls -la /usr/lib --
+ 2sec !! vs. + 0.5 sec on the xterm :(  )
Comment 3 c.requena 2002-10-17 16:45:40 EDT
I know this should go to another bug Id but it's related so ..

I also have the same problem on the xterm. After cutting and pasting (mid mouse)
and going back with the cursor a few times and maybe going back in the history
(bash) it (xterm) starts to append text ramdomgly until it dies.

Maybe this has more to do with X than with the terminal.

By the way with zvt doesn't work either :(   Sorry about that.
Comment 4 Nathaniel Case 2002-10-20 21:17:21 EDT
What text is it appending?  Is it stuffing "bbbb" endlessly?

Do you use ALT-X hotkeys to switch virtual desktops?

I'm wondering if this this is related to bug 74760 or bug 74759.
Comment 5 Havoc Pennington 2003-01-08 00:53:52 EST
I haven't seen this and haven't seen other reports.

If you are still seeing it with multiple apps, perhaps reassign this bug 
to XFree86 and include complete information on your hardware.

Note You need to log in before you can comment on or make changes to this bug.